/*******************************************************************************
 *                                                                             *
 *   F1LT - unofficial Formula 1 live timing application                       *
 *   Copyright (C) 2012-2013  Mariusz Pilarek (pieczaro@gmail.com)             *
 *                                                                             *
 *   This program is free software: you can redistribute it and/or modify      *
 *   it under the terms of the GNU General Public License as published by      *
 *   the Free Software Foundation, either version 3 of the License, or         *
 *   (at your option) any later version.                                       *
 *                                                                             *
 *   This program is distributed in the hope that it will be useful,           *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *   GNU General Public License for more details.                              *
 *                                                                             *
 *   You should have received a copy of the GNU General Public License         *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.     *
 *                                                                             *
 *******************************************************************************/


#include "aboutdialog.h"
#include "ui_aboutdialog.h"

#include "../core/f1ltcore.h"

#include "../core/f1ltcore.h"

AboutDialog::AboutDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AboutDialog)
{
    ui->setupUi(this);
    ui->versionLabel->setText("F1LT " + F1LTCore::programVersion());

    loadChangelog();
    loadLicense();
}

AboutDialog::~AboutDialog()
{
    delete ui;
}

void AboutDialog::loadChangelog()
{
    QFile file(":/files/CHANGELOG");
    if (file.open(QIODevice::ReadOnly))
    {
        ui->textEdit->setText(file.readAll());
    }
}

void AboutDialog::loadLicense()
{
    QFile licenseFile(":/files/LICENSE");
    if (licenseFile.open(QIODevice::ReadOnly))
    {
        ui->licenseEdit->setText(licenseFile.readAll());
    }
}
